using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFFormConfigVersionDetailMap : APTEntityBaseMap<T_PF_FORM_CONFIG_VERSION_D>
	{
		public override void Configure(EntityTypeBuilder<T_PF_FORM_CONFIG_VERSION_D> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.REMOVE_COOKIE_KEY).HasMaxLength(200);
			builder.HasOne(t => t.Nav_FormConfigVersion).
				WithMany(t => t.Nav_Details).HasForeignKey(t => t.FORM_CONFIG_VERSION_ID).OnDelete(DeleteBehavior.Restrict);
		}
		 
	}
}
